object MainForm: TMainForm
  Left = 226
  Top = 187
  Width = 630
  Height = 365
  Caption = 'QuickSelect Demonstration'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = True
  WindowState = wsMaximized
  PixelsPerInch = 96
  TextHeight = 13
  object Panel1: TPanel
    Left = 0
    Top = 0
    Width = 537
    Height = 338
    Align = alClient
    TabOrder = 0
    object Panel3: TPanel
      Left = 1
      Top = 1
      Width = 535
      Height = 240
      Align = alTop
      BevelOuter = bvNone
      TabOrder = 0
      object SQLMmo: TMemo
        Left = 0
        Top = 53
        Width = 535
        Height = 187
        Align = alClient
        ScrollBars = ssVertical
        TabOrder = 0
      end
      object Panel5: TPanel
        Left = 0
        Top = 0
        Width = 535
        Height = 53
        Align = alTop
        BevelOuter = bvNone
        TabOrder = 1
        object Label1: TLabel
          Left = 4
          Top = 6
          Width = 81
          Height = 13
          Caption = 'Available reports:'
        end
        object Panel6: TPanel
          Left = 288
          Top = 0
          Width = 247
          Height = 53
          Align = alRight
          BevelOuter = bvNone
          TabOrder = 1
          object DBNavigator1: TDBNavigator
            Left = 3
            Top = 16
            Width = 240
            Height = 25
            DataSource = DataSource
            TabOrder = 0
          end
        end
        object QSComboBox: TQSComboBox
          Left = 4
          Top = 20
          Width = 269
          Height = 21
          QSelectSource = QuickSelect
          ItemHeight = 13
          TabOrder = 0
          OnChange = QSComboBoxChange
        end
      end
    end
    object Panel4: TPanel
      Left = 1
      Top = 241
      Width = 535
      Height = 96
      Align = alClient
      BevelOuter = bvNone
      TabOrder = 1
      object DBGrid: TDBGrid
        Left = 0
        Top = 0
        Width = 535
        Height = 96
        Align = alClient
        DataSource = DataSource
        TabOrder = 0
        TitleFont.Charset = DEFAULT_CHARSET
        TitleFont.Color = clWindowText
        TitleFont.Height = -11
        TitleFont.Name = 'MS Sans Serif'
        TitleFont.Style = []
      end
    end
  end
  object Panel2: TPanel
    Left = 537
    Top = 0
    Width = 85
    Height = 338
    Align = alRight
    TabOrder = 1
    object BuildBtn: TButton
      Left = 5
      Top = 6
      Width = 75
      Height = 25
      Caption = '&Build Query'
      TabOrder = 0
      OnClick = BuildBtnClick
    end
    object ExitBtn: TButton
      Left = 5
      Top = 70
      Width = 75
      Height = 25
      Caption = 'E&xit'
      TabOrder = 2
      OnClick = ExitBtnClick
    end
    object ExecuteBtn: TButton
      Left = 5
      Top = 38
      Width = 75
      Height = 25
      Caption = '&Execute SQL'
      TabOrder = 1
      OnClick = ExecuteBtnClick
    end
  end
  object QuickSelect: TQuickSelect
    Title = 'Make selection'
    EntityName = 'rows'
    DatabaseName = 'DBDEMOS'
    Tables.Strings = (
      'CUSTOMER.DB'
      'EMPLOYEE.DB'
      'ORDERS.DB'
      'ITEMS.DB'
      'PARTS.DB'
      'VENDORS.DB')
    Fields = <
      item
        Name = 'CUSTOMER.DB->CustNo'
        DisplayLabel = 'Customer number'
      end
      item
        Name = 'CUSTOMER.DB->Company'
        DisplayLabel = 'Customer company'
        MaxLength = 30
      end
      item
        Name = 'CUSTOMER.DB->Contact'
        DisplayLabel = 'Customer contact'
        MaxLength = 20
      end
      item
        Name = 'CUSTOMER.DB->Addr1'
        DisplayLabel = 'Customer address 1'
        MaxLength = 30
      end
      item
        Name = 'CUSTOMER.DB->Addr2'
        DisplayLabel = 'Customer address 2'
        MaxLength = 30
      end
      item
        Name = 'CUSTOMER.DB->Zip'
        DisplayLabel = 'Customer ZIP Code'
        MaxLength = 10
      end
      item
        Name = 'CUSTOMER.DB->City'
        DisplayLabel = 'Customer city'
        MaxLength = 15
      end
      item
        Name = 'CUSTOMER.DB->State'
        DisplayLabel = 'Customer state'
        MaxLength = 20
      end
      item
        Name = 'CUSTOMER.DB->Country'
        DisplayLabel = 'Customer country'
        MaxLength = 20
      end
      item
        Name = 'CUSTOMER.DB->Phone'
        DisplayLabel = 'Customer phone no.'
        MaxLength = 15
      end
      item
        Name = 'CUSTOMER.DB->FAX'
        DisplayLabel = 'Customer FAX number'
        MaxLength = 15
      end
      item
        Name = 'CUSTOMER.DB->TaxRate'
        DisplayLabel = 'Customer taxrate'
      end
      item
        Name = 'CUSTOMER.DB->LastInvoiceDate'
        DisplayLabel = 'Cst last invoice dte'
        EditMask = '!99/99/00;1;_'
      end
      item
        Name = 'EMPLOYEE.DB->EmpNo'
        DisplayLabel = 'Employee number'
      end
      item
        Name = 'EMPLOYEE.DB->FirstName'
        DisplayLabel = 'Employee first name'
        MaxLength = 15
      end
      item
        Name = 'EMPLOYEE.DB->LastName'
        DisplayLabel = 'Employee last name'
        MaxLength = 20
      end
      item
        Name = 'EMPLOYEE.DB->Salary'
        DisplayLabel = 'Employee salary'
      end
      item
        Name = 'EMPLOYEE.DB->PhoneExt'
        DisplayLabel = 'Employee phone ext.'
        MaxLength = 4
      end
      item
        Name = 'EMPLOYEE.DB->HireDate'
        DisplayLabel = 'Employee hire date'
        EditMask = '!99/99/00;1;_'
      end
      item
        Name = 'ORDERS.DB->OrderNo'
        DisplayLabel = 'Order number'
      end
      item
        Name = 'ITEMS.DB->Qty'
        DisplayLabel = 'Order quantity'
      end
      item
        Name = 'ITEMS.DB->Discount'
        DisplayLabel = 'Order discount'
      end
      item
        Name = 'ORDERS.DB->Terms'
        DisplayLabel = 'Order terms'
        MaxLength = 6
        EditMask = '!99/99/00;1;_'
      end
      item
        Name = 'ORDERS.DB->ShipToContact'
        DisplayLabel = 'Order ship to contact'
        MaxLength = 20
      end
      item
        Name = 'ORDERS.DB->ShipVIA'
        DisplayLabel = 'Order Ship via'
        MaxLength = 7
      end
      item
        Name = 'ORDERS.DB->ShipToZip'
        DisplayLabel = 'Order Ship to ZIP'
        MaxLength = 10
      end
      item
        Name = 'ORDERS.DB->ShipToCity'
        DisplayLabel = 'Order ship to city'
        MaxLength = 15
      end
      item
        Name = 'ORDERS.DB->ShipToState'
        DisplayLabel = 'Order Ship to state'
        MaxLength = 20
      end
      item
        Name = 'ORDERS.DB->ShipToCountry'
        DisplayLabel = 'Order ship to country'
        MaxLength = 20
      end
      item
        Name = 'ORDERS.DB->ShipToAddr1'
        DisplayLabel = 'Order ship to addr1'
        MaxLength = 30
      end
      item
        Name = 'ORDERS.DB->ShipToAddr2'
        DisplayLabel = 'Order ship to addr2'
        MaxLength = 30
      end
      item
        Name = 'ORDERS.DB->ShipToPhone'
        DisplayLabel = 'Order ship to phone'
        MaxLength = 15
      end
      item
        Name = 'ORDERS.DB->ShipDate'
        DisplayLabel = 'Order ship date'
        EditMask = '!99/99/00;1;_'
      end
      item
        Name = 'ORDERS.DB->SaleDate'
        DisplayLabel = 'Order sale date'
        EditMask = '!99/99/00;1;_'
      end
      item
        Name = 'ORDERS.DB->TaxRate'
        DisplayLabel = 'Order taxrate'
      end
      item
        Name = 'ORDERS.DB->PO'
        DisplayLabel = 'Order PO'
        MaxLength = 15
      end
      item
        Name = 'ORDERS.DB->PaymentMethod'
        DisplayLabel = 'Order payment method'
        MaxLength = 7
      end
      item
        Name = 'ORDERS.DB->ItemsTotal'
        DisplayLabel = 'Order items total'
      end
      item
        Name = 'ORDERS.DB->Freight'
        DisplayLabel = 'Order freight'
      end
      item
        Name = 'ORDERS.DB->AmountPaid'
        DisplayLabel = 'Order amount paid'
      end
      item
        Name = 'PARTS.DB->PartNo'
        DisplayLabel = 'Part number'
      end
      item
        Name = 'PARTS.DB->Description'
        DisplayLabel = 'Part description'
        MaxLength = 30
      end
      item
        Name = 'PARTS.DB->OnHand'
        DisplayLabel = 'Part on hand'
      end
      item
        Name = 'PARTS.DB->OnOrder'
        DisplayLabel = 'Part on order'
      end
      item
        Name = 'PARTS.DB->ListPrice'
        DisplayLabel = 'Part list price'
      end
      item
        Name = 'PARTS.DB->Cost'
        DisplayLabel = 'Part cost'
      end
      item
        Name = 'VENDORS.DB->VendorNo'
        DisplayLabel = 'Vendor number'
      end
      item
        Name = 'VENDORS.DB->VendorName'
        DisplayLabel = 'Vendor name'
        MaxLength = 30
      end
      item
        Name = 'VENDORS.DB->Address1'
        DisplayLabel = 'Vendor address 1'
        MaxLength = 30
      end
      item
        Name = 'VENDORS.DB->Address2'
        DisplayLabel = 'Vendor address 2'
        MaxLength = 30
      end
      item
        Name = 'VENDORS.DB->Zip'
        DisplayLabel = 'Vendor ZIP code'
        MaxLength = 10
      end
      item
        Name = 'VENDORS.DB->City'
        DisplayLabel = 'Vendor city'
        MaxLength = 20
      end
      item
        Name = 'VENDORS.DB->State'
        DisplayLabel = 'Vendor state'
        MaxLength = 20
      end
      item
        Name = 'VENDORS.DB->Country'
        DisplayLabel = 'Vendor country'
        MaxLength = 15
      end
      item
        Name = 'VENDORS.DB->Phone'
        DisplayLabel = 'Vendor phone number'
        MaxLength = 15
      end
      item
        Name = 'VENDORS.DB->FAX'
        DisplayLabel = 'Vendor FAX number'
        MaxLength = 15
      end
      item
        Name = 'VENDORS.DB->Preferred'
        DisplayLabel = 'Vendor preferred'
        Enumerated = True
        Values.Strings = (
          'False'
          'True')
      end>
    HelpContext = 1
    ReportTypes = <
      item
        Name = 'Customers'
        Fields.Strings = (
          'CUSTOMER.DB->CustNo'
          'CUSTOMER.DB->Company'
          'CUSTOMER.DB->Contact'
          'CUSTOMER.DB->Addr1'
          'CUSTOMER.DB->Addr2'
          'CUSTOMER.DB->Zip'
          'CUSTOMER.DB->City'
          'CUSTOMER.DB->State'
          'CUSTOMER.DB->Country'
          'CUSTOMER.DB->Phone'
          'CUSTOMER.DB->FAX'
          'CUSTOMER.DB->TaxRate'
          'CUSTOMER.DB->LastInvoiceDate')
      end
      item
        Name = 'Employees'
        Fields.Strings = (
          'EMPLOYEE.DB->EmpNo'
          'EMPLOYEE.DB->FirstName'
          'EMPLOYEE.DB->LastName'
          'EMPLOYEE.DB->PhoneExt'
          'EMPLOYEE.DB->Salary'
          'EMPLOYEE.DB->HireDate')
      end
      item
        Name = 'Orders'
        Fields.Strings = (
          'ORDERS.DB->OrderNo'
          'ORDERS.DB->Terms'
          'ORDERS.DB->ShipToContact'
          'ORDERS.DB->ShipVIA'
          'ORDERS.DB->ShipToZip'
          'ORDERS.DB->ShipToCity'
          'ORDERS.DB->ShipToState'
          'ORDERS.DB->ShipToCountry'
          'ORDERS.DB->ShipToPhone'
          'ORDERS.DB->ShipToAddr1'
          'ORDERS.DB->ShipToAddr2'
          'ORDERS.DB->ShipDate'
          'ORDERS.DB->SaleDate'
          'ORDERS.DB->PaymentMethod'
          'ORDERS.DB->ItemsTotal'
          'ORDERS.DB->Freight'
          'ORDERS.DB->AmountPaid')
      end
      item
        Name = 'Parts'
        Fields.Strings = (
          'PARTS.DB->PartNo'
          'PARTS.DB->Description'
          'PARTS.DB->ListPrice'
          'PARTS.DB->Cost'
          'PARTS.DB->OnOrder'
          'PARTS.DB->OnHand')
      end
      item
        Name = 'Vendors'
        Fields.Strings = (
          'VENDORS.DB->VendorNo'
          'VENDORS.DB->VendorName'
          'VENDORS.DB->Address1'
          'VENDORS.DB->Address2'
          'VENDORS.DB->Zip'
          'VENDORS.DB->City'
          'VENDORS.DB->Country'
          'VENDORS.DB->State'
          'VENDORS.DB->Phone'
          'VENDORS.DB->FAX'
          'VENDORS.DB->Preferred')
      end
      item
        Name = 'Customers and orders'
        Fields.Strings = (
          'CUSTOMER.DB->CustNo'
          'CUSTOMER.DB->Company'
          'CUSTOMER.DB->Contact'
          'ORDERS.DB->OrderNo'
          'ITEMS.DB->Qty'
          'PARTS.DB->Description')
      end
      item
        Name = 'Employees, customers and orders'
        Fields.Strings = (
          'EMPLOYEE.DB->EmpNo'
          'EMPLOYEE.DB->FirstName'
          'EMPLOYEE.DB->LastName'
          'ORDERS.DB->OrderNo'
          'PARTS.DB->Description'
          'CUSTOMER.DB->Company'
          'CUSTOMER.DB->Contact'
          'ITEMS.DB->Qty'
          'ITEMS.DB->Discount')
      end
      item
        Name = 'Parts and vendors'
        Fields.Strings = (
          'PARTS.DB->PartNo'
          'PARTS.DB->Description'
          'PARTS.DB->Cost'
          'PARTS.DB->ListPrice'
          'PARTS.DB->OnOrder'
          'PARTS.DB->OnHand'
          'VENDORS.DB->VendorNo'
          'VENDORS.DB->VendorName'
          'VENDORS.DB->Address1'
          'VENDORS.DB->Address2'
          'VENDORS.DB->State'
          'VENDORS.DB->Preferred')
      end>
    Joins = <
      item
        Field1 = 'ORDERS.DB->CustNo'
        Field2 = 'CUSTOMER.DB->CustNo'
      end
      item
        Field1 = 'ORDERS.DB->EmpNo'
        Field2 = 'EMPLOYEE.DB->EmpNo'
      end
      item
        Field1 = 'ITEMS.DB->OrderNo'
        Field2 = 'ORDERS.DB->OrderNo'
      end
      item
        Field1 = 'ITEMS.DB->PartNo'
        Field2 = 'PARTS.DB->PartNo'
      end
      item
        Field1 = 'PARTS.DB->VendorNo'
        Field2 = 'VENDORS.DB->VendorNo'
      end>
    CustomReportTypes = True
    OnPreview = QuickSelectPreview
    Left = 569
    Top = 278
  end
  object DataSource: TDataSource
    DataSet = Query
    Left = 569
    Top = 184
  end
  object Query: TQuery
    DatabaseName = 'DBDEMOS'
    Left = 568
    Top = 230
  end
end
